.\"	$NetBSD: sm.4,v 1.11 2004/12/08 18:33:32 peter Exp $
.\"
.\" Copyright (c) 1997 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jason R. Thorpe of the Numerical Aerospace Simulation Facility,
.\" NASA Ames Research Center.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 10, 1997
.Dt SM 4
.Os
.Sh NAME
.Nm sm
.Nd SMC91Cxx-based Ethernet interfaces device driver
.Sh SYNOPSIS
.Cd "sm0 at isa? port 0x300 irq 10"
.Cd "sm* at mhzc?"
.Cd "sm* at pcmcia? function ?"
.Cd "sm* at nubus?"
.Sh DESCRIPTION
The
.Nm
device driver supports SMC91C9x-based and SMC91C1xx-based Ethernet interfaces.
.Pp
The ISA attachment of the
.Nm
driver supports any SMC91C9x-based Ethernet interface on the ISA
bus, including the EFA Info*Express SVC VLB interface, and the
on-board SMC91C9x Ethernet found in many embedded PCs and laptop
docking stations.
.Pp
The mhzc attachment of the
.Nm
driver supports the Megahertz combo Ethernet and modem card.
.Pp
The PCMCIA attachment of the
.Nm
driver supports Megahertz X-JACK Ethernet cards.
.Pp
The nubus attachment of the
.Nm
driver supports SMC-based Ethernet cards for the macintosh.
.Sh MEDIA SELECTION
The SMC91C1xx supports the MII interface and so the list of supported
media depends on several factors, including which PHY is attached.  The
SMC91C9x supports AUI and UTP media types.
.Pp
To enable the AUI media, select the
.Em 10base5
or
.Em aui
media type with
.Xr ifconfig 8 Ns 's
.Cm media
directive.  To select UTP, select the
.Em 10baseT
or
.Em utp
media type.
.Pp
.Xr ifconfig 8 Ns 's
.Fl m
option will display the full list of supported
.Cm media
directives for a particular configuration.
.Sh DIAGNOSTICS
.Bl -diag
.It "sm0: unable to read MAC address from CIS"
This indicates that the Ethernet address, which is stored in the
CIS information on the Megahertz X-JACK PCMCIA Ethernet card, is
corrupted.
.El
.Sh SEE ALSO
.Xr ifmedia 4 ,
.Xr intro 4 ,
.Xr isa 4 ,
.Xr mhzc 4 ,
.Xr mii 4 ,
.Xr pcmcia 4 ,
.Xr ifconfig 8
